KATE(1)

NAME
kate - Erweiterter Texteditor für KDE

SYNOPSIS

kate [-s, --start name] [-u, --use] [-p, --pid pid] [-e, --encoding name] [-l, --line line] [-c, --column column] [-i, --stdin] [KDE Standardoptionen] [Qt Standardoptionen]

BESCHREIBUNG

Kate ist der erweiterte Texteditor für KDE.

Kate stellt unter dem Namen KWrite außerdem den Editor für verschiedene Anwendungen bereit.

Einige der vielen Funktionen von Kate sind Quelltexthervorhebungen für Programmiersprachen von C und C++ über HTML bis zu Bash-Skripten, die Möglichkeit, Projekte zu erstellen und zu verwalten, eine Schnittstelle zum Multi-Dokument-Interface MDI und ein eingebauter Terminalemulator.

Kate ist jedoch mehr als nur ein Texteditor für Programmierer. Die Möglichkeit, viele Dateien gleichzeitig zu öffnen macht Kate zu einem idealen Texteditor für die unzähligen Konfigurationsdateien von UNIX®. Auch dieses Dokument wurde in Kate geschrieben.

OPTIONEN

-s, --start name
    Starten von Kate mit einer bestimmten Sitzung.

-u, --use
    Benutzen eines schon laufenden Kate

-p, --pid  pid
    Nur der Kate mit der pid wird versucht zu benutzen.

-e, --encoding  name
    Setzt die Kodierung für das zu öffnende Dokument. Sie können diese Option benutzen, um das Öffnen eines Dokumentes beispielsweise im utf-8-Format, zu erzwingen. (Der Befehl iconv -l gibt eine Liste der Kodierungen aus, das kann hilfreich sein.)

-l, --line  Zeile
    Bewege den Cursor zur angegebenen Zeile

-c, --column  Spalte
    Bewege den Cursor zur angegebenen Spalte

-i, --stdin
    Lese den Inhalt von stdin

WEITERE INFORMATIONEN FINDEN SIE UNTER

kwrite(1)

Weitere und eingehendere Informationen finden Sie unter help:/kate (geben Sie entweder diese URL in Konqueror ein, oder starten Sie den Befehl khelpcenter help:/kate).

Außerdem finden Sie weiterführende Informationen auf der Kate-Webseite: http://kate.kde.org/.

BEISPIELE

Um ein Dokument mit dem Namen source.cpp in einem schon laufenden Kate-Fenster zu öffnen und den Cursor auf die Spalte 15 in der Zeile 25 zu setzen, können Sie den folgenden Befehl benutzen:

    kate -c 15 -l 25 -u source.cpp

Wenn Sie eine aktive Internetverbindung haben, dann können Sie die Möglichkeiten von KDE benutzen, Dokumente über ein Netzwerk zu auf einem FTP-Server zu öffnen, ohne dass dazu besondere Bedienhandlungen nötig sind. Wenn Sie auf dem entfernten Server keine Schreibberechtigung haben, dann wird das Dokument im Nur-Lese-Modus geöffnet und Kate fragt nach einem Namen, unter dem das Dokument nach Änderungen lokal gespeichert werden soll. Wenn Sie die nötigen Schreibberechtigungen haben, dann wird das Dokument einfach auf dem Server gespeichert.

    kate ftp://ftp.kde.org/pub/kde/README_FIRST

AUTOREN

Der Betreuer von Kate ist Christoph Cullmann <cullmann@kde.org>. Eine ausführliche Liste der Autoren und Helfer finden Sie im oben genannten kompletten Benutzerhandbuch.

AUTHOR
Lauri Watts.